package market.Api.Qms.vo;


public class JudgeResult {
	/** 卷号 */
	private String coilNo;

	/** 批次号 */
	private String batchNo;

	/** 公差检验结果 */
	private String sizeResult;
	
	/** 公差检验结果描述 */
	private String sizeResult_desc;

	/** 公差检验结果 */
	private String measure_result;
	
	/** 公差检验结果描述 */
	private String measure_result_desc;
	
	/** 公差检验结果id */
	private String measure_result_id;

	/** 上表检验结果 */
	private String up_surface_result;
	
	/** 上表检验结果描述 */
	private String up_surface_result_desc;
	
	/** 上表检验结果id */
	private String up_surface_result_id;

	/** 下表检验结果 */
	private String ud_surface_result;
	
	/** 下表检验结果描述 */
	private String ud_surface_result_desc;
	
	/** 下表检验结果id */
	private String ud_surface_result_id;

	/** 边部检验结果 */
	private String marginal_result;
	
	/** 边部检验结果描述 */
	private String marginal_result_desc;
	
	/** 边部检验结果id */
	private String marginal_result_id;

	/** 上表锁定标识 */
	private String sfu_is_lock;
	
	/** 下表锁定标识 */
	private String sfd_is_lock;
	
	/** 边部锁定标识 */
	private String sfe_is_lock;
	
	/** 公差锁定标识 */
	private String sic_is_lock;
	
	/** 上表主缺陷*/
	private String up_surface_flaw;
	
	/** 下表主缺陷*/
	private String ud_surface_flaw;
	
	/** 边部主缺陷*/
	private String marginal_flaw;
	
	public String getCoilNo() {
		return coilNo;
	}

	public void setCoilNo(String coilNo) {
		this.coilNo = coilNo;
	}

	public String getBatchNo() {
		return batchNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	public String getSizeResult() {
		return sizeResult;
	}

	public void setSizeResult(String sizeResult) {
		this.sizeResult = sizeResult;
	}

	public String getMeasure_result() {
		return measure_result;
	}

	public void setMeasure_result(String measure_result) {
		this.measure_result = measure_result;
	}

	public String getMeasure_result_id() {
		return measure_result_id;
	}

	public void setMeasure_result_id(String measure_result_id) {
		this.measure_result_id = measure_result_id;
	}

	public String getUp_surface_result() {
		return up_surface_result;
	}

	public void setUp_surface_result(String up_surface_result) {
		this.up_surface_result = up_surface_result;
	}

	public String getUp_surface_result_id() {
		return up_surface_result_id;
	}

	public void setUp_surface_result_id(String up_surface_result_id) {
		this.up_surface_result_id = up_surface_result_id;
	}

	public String getUd_surface_result() {
		return ud_surface_result;
	}

	public void setUd_surface_result(String ud_surface_result) {
		this.ud_surface_result = ud_surface_result;
	}

	public String getUd_surface_result_id() {
		return ud_surface_result_id;
	}

	public void setUd_surface_result_id(String ud_surface_result_id) {
		this.ud_surface_result_id = ud_surface_result_id;
	}

	public String getMarginal_result() {
		return marginal_result;
	}

	public void setMarginal_result(String marginal_result) {
		this.marginal_result = marginal_result;
	}

	public String getMarginal_result_id() {
		return marginal_result_id;
	}

	public void setMarginal_result_id(String marginal_result_id) {
		this.marginal_result_id = marginal_result_id;
	}

	public String getSfu_is_lock() {
		return sfu_is_lock;
	}

	public void setSfu_is_lock(String sfu_is_lock) {
		this.sfu_is_lock = sfu_is_lock;
	}

	public String getSfd_is_lock() {
		return sfd_is_lock;
	}

	public void setSfd_is_lock(String sfd_is_lock) {
		this.sfd_is_lock = sfd_is_lock;
	}

	public String getSfe_is_lock() {
		return sfe_is_lock;
	}

	public void setSfe_is_lock(String sfe_is_lock) {
		this.sfe_is_lock = sfe_is_lock;
	}

	public String getSic_is_lock() {
		return sic_is_lock;
	}

	public void setSic_is_lock(String sic_is_lock) {
		this.sic_is_lock = sic_is_lock;
	}

	public String getSizeResult_desc() {
		return sizeResult_desc;
	}

	public void setSizeResult_desc(String sizeResult_desc) {
		this.sizeResult_desc = sizeResult_desc;
	}

	public String getMeasure_result_desc() {
		return measure_result_desc;
	}

	public void setMeasure_result_desc(String measure_result_desc) {
		this.measure_result_desc = measure_result_desc;
	}

	public String getUp_surface_result_desc() {
		return up_surface_result_desc;
	}

	public void setUp_surface_result_desc(String up_surface_result_desc) {
		this.up_surface_result_desc = up_surface_result_desc;
	}

	public String getUd_surface_result_desc() {
		return ud_surface_result_desc;
	}

	public void setUd_surface_result_desc(String ud_surface_result_desc) {
		this.ud_surface_result_desc = ud_surface_result_desc;
	}

	public String getMarginal_result_desc() {
		return marginal_result_desc;
	}

	public void setMarginal_result_desc(String marginal_result_desc) {
		this.marginal_result_desc = marginal_result_desc;
	}

	public String getUp_surface_flaw() {
		return up_surface_flaw;
	}

	public void setUp_surface_flaw(String up_surface_flaw) {
		this.up_surface_flaw = up_surface_flaw;
	}

	public String getUd_surface_flaw() {
		return ud_surface_flaw;
	}

	public void setUd_surface_flaw(String ud_surface_flaw) {
		this.ud_surface_flaw = ud_surface_flaw;
	}

	public String getMarginal_flaw() {
		return marginal_flaw;
	}

	public void setMarginal_flaw(String marginal_flaw) {
		this.marginal_flaw = marginal_flaw;
	}
	
	/**
	 * 不平度
	 */
	
	private Double judge_unevenness;
	
	/**
	 *   镰刀弯
	 */
	
	private Double judge_camber  ;
	
	/**脱方度
	 * 
	 */
	
	private Double judge_offsquare ;
	
	/**
	 *塔形 
	 */
	private Double judge_turriform ;
	
	
	/** 
	 * 判定宽度
	 */ 
	private Double judge_width;
	public Double getJudge_width() {
		return this.judge_width;
	}
	public void setJudge_width(Double judge_width) {
		this.judge_width = judge_width;
	}

	/** 
	 * 判定长度
	 */ 
	private Double judge_length;
	public Double getJudge_length() {
		return this.judge_length;
	}
	public void setJudge_length(Double judge_length) {
		this.judge_length = judge_length;
	}


	public Double getJudge_unevenness() {
		return judge_unevenness;
	}

	public void setJudge_unevenness(Double judge_unevenness) {
		this.judge_unevenness = judge_unevenness;
	}

	public Double getJudge_camber() {
		return judge_camber;
	}

	public void setJudge_camber(Double judge_camber) {
		this.judge_camber = judge_camber;
	}

	public Double getJudge_offsquare() {
		return judge_offsquare;
	}

	public void setJudge_offsquare(Double judge_offsquare) {
		this.judge_offsquare = judge_offsquare;
	}

	public Double getJudge_turriform() {
		return judge_turriform;
	}

	public void setJudge_turriform(Double judge_turriform) {
		this.judge_turriform = judge_turriform;
	}
	/** 
	 * 南厚度_实测
	 */ 

	private Double south_thick_val;
	public Double getSouth_thick_val() {
		return this.south_thick_val;
	}
	public void setSouth_thick_val(Double south_thick_val) {
		this.south_thick_val = south_thick_val;
	}

	/** 
	 * 南厚度_头部
	 */ 

	private Double south_h_val;
	public Double getSouth_h_val() {
		return this.south_h_val;
	}
	public void setSouth_h_val(Double south_h_val) {
		this.south_h_val = south_h_val;
	}

	/** 
	 * 南厚度_中部
	 */ 

	private Double south_m_val;
	public Double getSouth_m_val() {
		return this.south_m_val;
	}
	public void setSouth_m_val(Double south_m_val) {
		this.south_m_val = south_m_val;
	}

	/** 
	 * 南厚度_尾部
	 */ 

	private Double south_r_val;
	public Double getSouth_r_val() {
		return this.south_r_val;
	}
	public void setSouth_r_val(Double south_r_val) {
		this.south_r_val = south_r_val;
	}

	/** 
	 * 中厚度_头部
	 */ 

	private Double middle_h_val;
	public Double getMiddle_h_val() {
		return this.middle_h_val;
	}
	public void setMiddle_h_val(Double middle_h_val) {
		this.middle_h_val = middle_h_val;
	}

	/** 
	 * 中厚度_中部
	 */ 

	private Double middle_m_val;
	public Double getMiddle_m_val() {
		return this.middle_m_val;
	}
	public void setMiddle_m_val(Double middle_m_val) {
		this.middle_m_val = middle_m_val;
	}

	/** 
	 * 中厚度_尾部
	 */ 

	private Double middle_r_val;
	public Double getMiddle_r_val() {
		return this.middle_r_val;
	}
	public void setMiddle_r_val(Double middle_r_val) {
		this.middle_r_val = middle_r_val;
	}

	/** 
	 * 北厚度_实测
	 */ 
	private Double north_thick_val;
	public Double getNorth_thick_val() {
		return this.north_thick_val;
	}
	public void setNorth_thick_val(Double north_thick_val) {
		this.north_thick_val = north_thick_val;
	}

	/** 
	 * 北厚度_头部
	 */ 

	private Double north_h_val;
	public Double getNorth_h_val() {
		return this.north_h_val;
	}
	public void setNorth_h_val(Double north_h_val) {
		this.north_h_val = north_h_val;
	}

	/** 
	 * 北厚度_中部
	 */ 

	private Double north_m_val;
	public Double getNorth_m_val() {
		return this.north_m_val;
	}
	public void setNorth_m_val(Double north_m_val) {
		this.north_m_val = north_m_val;
	}

	/** 
	 * 北厚度_尾部
	 */ 
	private Double north_r_val;
	public Double getNorth_r_val() {
		return this.north_r_val;
	}
	public void setNorth_r_val(Double north_r_val) {
		this.north_r_val = north_r_val;
	}
	
	private Double judge_thick;
	public Double getJudge_thick() {
		return this.judge_thick;
	}
	public void setJudge_thick(Double judge_thick) {
		this.judge_thick = judge_thick;
	}

}
